##### windows::basic_stream_handle::read_some (2 of 2 overloads)

Read some data from the handle.

    template<
        typename MutableBufferSequence>
    std::size_t read_some(
        const MutableBufferSequence & buffers,
        asio::error_code & ec);

This function is used to read data from the stream handle. The function call will block until one or more bytes of data has been read successfully, or until an error occurs.

###### Parameters

buffers

  One or more buffers into which the data will be read.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes read. Returns 0 if an error occurred.

###### Remarks

The read_some operation may not read all of the requested number of bytes. Consider using the `read` function if you need to ensure that the requested amount of data is read before the blocking operation completes.